import { CloseOutlined, LeftOutlined } from '@ant-design/icons';
import styles from './index.less';

export default (props) => {
  const {
    title,
    children,
    center,
    style,
    closeable = true,
    returnable = false,
  } = props;

  return (
    <div className={styles.page} style={style}>
      <div className={styles.pageTitle}>
        <div>
          {returnable ? <LeftOutlined /> : <span className={styles.titleBar} />}

          <span
            className={styles.title}
            style={{ fontSize: 22, paddingLeft: 12 }}
          >
            {title}
          </span>
        </div>
        <div className={styles.center}>{center}</div>
        <div>{closeable && <CloseOutlined style={{ fontSize: 24 }} />}</div>
      </div>

      {children}
    </div>
  );
};
