import ContentPage from '@/components/ContentPage';
import { queryDevice } from '@/services/device';
import { useParams, useRequest } from '@umijs/max';
import { Button, Collapse, Space, Tabs } from 'antd';
const img = require('@/assets/deviceManager/device01.png');
const DeviceManager = () => {
  const { projectId } = useParams();
  const { data, run, loading } = useRequest((data) => queryDevice(data), {
    defaultParams: [{ ProjectId: projectId, IsNew: 1 }],
  });
  console.log(data);

  const onChange = () => {};
  return (
    <ContentPage style={{ backgroundColor: 'gray' }}>
      {/* <CloseOutlined /> */}
      <Tabs
        defaultActiveKey="1"
        onChange={onChange}
        items={[
          {
            label: `设备管理`,
            key: '1',
            children: <Device />,
          },
          {
            label: `备品管理`,
            key: '2',
            children: `Content of Tab Pane 2`,
          },
        ]}
      />
    </ContentPage>
  );
};
const Device = () => {
  const text = `
  A dog is a type of domesticated animal.
  Known for its loyalty and faithfulness,
  it can be found as a welcome guest in many households across the world.
`;
  const items = [
    {
      key: '1',
      label: 'This is panel header with arrow icon',
      children: <p>{text}</p>,
    },
    {
      key: '2',
      label: 'This is panel header with no arrow icon',
      children: <p>{text}</p>,
      showArrow: false,
    },
  ];
  const onChange = (key) => {
    console.log(key);
  };
  return (
    <div style={{ width: '100%' }}>
      <div
        style={{
          display: 'flex',
          borderRadius: '10px',
          backgroundColor: 'white',
          justifyContent: 'space-around',
        }}
      >
        <img style={{ width: '30%' }} src={img} />
        <div>
          <div>410</div>
          <div>设备总数</div>
        </div>
        <div>
          <div
            style={{
              display: 'flex',
            }}
          >
            <div
              style={{
                width: '20px',
                height: '20px',
                backgroundColor: 'green',
                borderRadius: '10px',
              }}
            />
            <div>运行</div>
            <div>137</div>
          </div>
          <div
            style={{
              display: 'flex',
            }}
          >
            <div
              style={{
                width: '20px',
                height: '20px',
                backgroundColor: 'green',
                borderRadius: '10px',
              }}
            />
            <div>运行</div>
            <div>137</div>
          </div>
          <div
            style={{
              display: 'flex',
            }}
          >
            <div
              style={{
                width: '20px',
                height: '20px',
                backgroundColor: 'green',
                borderRadius: '10px',
              }}
            />
            <div>运行</div>
            <div>137</div>
          </div>
        </div>
      </div>
      <Space>
        <Button shape="round">全部</Button>
        <Button shape="round">维修</Button>
        <Button shape="round">保养</Button>
      </Space>
      <Collapse
        defaultActiveKey={['1']}
        bordered={false}
        onChange={onChange}
        items={items}
      />
    </div>
  );
};
const SparePart = () => {
  
  return <div></div>
};

export default DeviceManager;
