import { UnityAction } from '@/utils/utils';
import { connect, history, useParams } from '@umijs/max';
import { Button } from 'antd';
import { useEffect } from 'react';
import Detail from './components/Detail';
import styles from './index.less';

const ReportDetail = (props) => {
  const { data, dispatch, loading } = props;

  const { projectId, routeId } = useParams();
  useEffect(() => {
    if (routeId) {
      dispatch({
        type: 'eqSelfInspection/getPatrolDataById',
        payload: {
          routeId,
        },
      });
    }
  }, []);

  return (
    <div>
      <div className={styles.page}>
        {routeId && (
          <Button
            style={{ marginBottom: 20 }}
            type="primary"
            onClick={() => {
              UnityAction.sendMsg('detailToList', '');
              history.go(-1);
            }}
          >
            返回
          </Button>
        )}
        <Detail data={data} projectId={projectId} loading={loading} />
      </div>
    </div>
  );
};
export default connect(({ loading, eqSelfInspection }) => ({
  data: eqSelfInspection.autoReport,
  loading: loading.models.eqSelfInspection,
}))(ReportDetail);
